### A free/open-source library for quantitative finance

Public Member Functions
NelsonSiegelFitting Class Reference

Nelson-Siegel fitting method. More...

`#include <ql/termstructures/yield/nonlinearfittingmethods.hpp>`

Inheritance diagram for NelsonSiegelFitting:
[legend]

List of all members.

## Public Member Functions

std::auto_ptr < FittedBondDiscountCurve::FittingMethod > | clone () const
| clone of the current object

## Detailed Description

Nelson-Siegel fitting method.

Fits a discount function to the form where the zero rate is defined as

See: Nelson, C. and A. Siegel (1985): "Parsimonious modeling of yield curves for US Treasury bills." NBER Working Paper Series, no 1594.

Examples:
  FittedBondCurve.cpp.